Bug 567937 - Review Request: mpir - A library for arbitrary precision arithmetic
Summary: Review Request: mpir - A library for arbitrary precision arithmetic
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chen Lei
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-24 12:00 UTC by Mark Chappell
Modified: 2016-08-14 16:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-10 11:42:24 UTC
supercyper1: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mark Chappell 2010-02-24 12:00:03 UTC
Spec URL: http://www.tremble.org.uk/fedora/mpir.spec?attredirects=0&d=1
SRPM URL: http://www.tremble.org.uk/fedora/mpir-1.3.1-1.src.rpm
Description: 
MPIR is an open source multiprecision integer library derived from
version 4.2.1 of the GMP (GNU Multi Precision) project.

Comment 1 Mark Chappell 2010-02-24 13:55:18 UTC
  $ mock -r  fedora-12-x86_64 mpir-1.3.1-1.src.rpm 
INFO: mock.py version 1.0.2 starting...
State Changed: init plugins
State Changed: start
INFO: Start(mpir-1.3.1-1.src.rpm)  Config(fedora-12-x86_64)
State Changed: lock buildroot
State Changed: clean
State Changed: init
State Changed: lock buildroot
Mock Version: 1.0.2
INFO: Mock Version: 1.0.2
INFO: enabled root cache
State Changed: unpacking root cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: setup
State Changed: build
INFO: Done(mpir-1.3.1-1.src.rpm) Config(fedora-12-x86_64) 4 minutes 37 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-12-x86_64/result

  $ rpmlint -i /var/lib/mock/fedora-12-x86_64/result/*.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 2 Mark Chappell 2010-03-02 13:19:04 UTC
$RPM_BUILD_ROOT needs replacing with %{buildroot} - done in local copy waiting for any further updates before release something quite so minor.

Comment 3 Chen Lei 2010-03-04 02:00:27 UTC
The spec file seems fine.
Only one problem:
# Convert AUTHORS file to UTF-8
iconv --from=ISO-8859-1 --to=UTF-8 AUTHORS -o AUTHORS.conv
mv -f AUTHORS.conv AUTHORS

This will invoke multilib conflict because of timestamp.



Also, why you use perl instead of sed which was included in the fedora minimum build environment.

perl -pi -e 's|hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=\"-L\\\$libdir\"|g;' libtool
->
%configure
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

Comment 4 Mark Chappell 2010-03-04 10:22:57 UTC
SRPM: http://tremble.fedorapeople.org/packages/mpir-1.3.1-2.fc12.src.rpm
SPEC: http://tremble.fedorapeople.org/packages/mpir.spec

- Ensure consistent use of macros
- Avoid multilib conflict due to modified timestamp on AUTHORS doc
- Replace perl find and replace with sed

Comment 5 Chen Lei 2010-03-05 08:46:46 UTC
formal review here:

 +:ok, =:needs attention, -:needs fixing

MUST Items:
[+] MUST: rpmlint must be run on every package.
<<output if not already posted>>
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must meet the Packaging Guidelines. [FIXME?: covers this list and more]
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
<<md5sum checksum>>c8ddc2cb4ce649e27bf39bb0c1273b81
[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[+] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro.
[+] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[N/A] MUST: The package must contain code, or permissible content. This is described in detail in the code vs. content section of Packaging Guidelines.
[N/A] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[N/A] MUST: Static libraries must be in a -static package.
[+] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[N/A] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[N/A] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[N/A] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[N/A] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[N/A] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[+] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: Packages should try to preserve timestamps of original installed files.

Comment 6 Chen Lei 2010-03-05 08:56:50 UTC
================
*** APPROVED ***
================    

But I recommend you to include html documentation and demos -devel subpackage.

%prep
mv doc/devel doc/html

%file devel
%doc doc/html  demos *.info.*

Comment 7 Mark Chappell 2010-03-05 09:03:24 UTC
New Package CVS Request
=======================
Package Name: mpir
Short Description: A library for arbitrary precision arithmetic
Owners: tremble
Branches: F-12 F-13 EL-5

Comment 8 Kevin Fenzi 2010-03-06 05:19:23 UTC
CVS done (by process-cvs-requests.py).

Comment 9 Mark Chappell 2010-03-10 11:42:24 UTC
MPIR now submitted for F-12/13-testing and in rawhide.


Note You need to log in before you can comment on or make changes to this bug.